2015-11-27 Eric Wang
安装搜狗输入法 参考了其他一些资料都说添加fcitx的PPA,但是我不确定有木有用 ```bash eric@eric-VirtualBox:/etc/apt$ sudo add-apt-repository ppa:fcitx-team/nightly Experimental releases of Fcitx, use with caution. More info: https://launchpad.net/~fcitx-team/+archive/ubuntu/nightly Press [ENTER] to continue or ctrl-c to cancel adding it gpg: keyring 继续阅读 »
2017-09-01 geekspeng
删除/usr/local/lib中的所有node和node_modules的文件夹 $ cd /usr/local/lib $ sudo rm -rf node $ sudo rm -rf node_modules 继续阅读 »
2016-04-22 Brian Li
前段时间用HomeBrew把Cocopods升级到 1.0.0.beta.3,今天在项目中执行 pod update 时提示了错误。 [!] Invalid Podfile file: [!] The specification of link_with in the Podfile is now unsupported, please use target blocks instead.. 查找的结果是版本太高,所以需要降低Cocoapods的版本来解决第三方库的兼容问题。 继续阅读 »
2018-01-16 Vaniot
linux(继承自Unix)的文件系统架构,系统会默认选择安装目录,通常情况下: 程序的文档->/usr/share/doc; /usr/local/share/doc 程序->/usr/share; /usr/local/share 程序的启动项->/usr/share/apps; /usr/local/share 程序的语言包->/usr/share/locale; /usr/local/share/locale 可执行文件->/usr/bin; /usr/local/bin 配置文件-> /etc lib文件->/usr/lib 例如:系统安装软件一般在/usr/share,可执行的文件在/usr/bin,配置文件可能安装到 继续阅读 »
2017-03-30 ruki
最近对xmake的操作权限进行了升级,提供更加安全的命令操作,例如: 改进xmake install和xmake uninstall命令,提供更加安全地安装和卸载支持 参考homebrew,禁止在root下运行xmake命令 改进xmake自身的编译安装脚本,不在root下进行build 安全问题1 之前的xmake install和xmake uninstall行为,是自动build后进行安装,而大部分情况下安装目录是在/usr/local目录下。 因此,需要root权限才能写入,那么之前的方式只能暴力地直接加上sudo xmake install来执行。 可想而知,虽然安装确实成功了,但是由于默认的自动构建行为,导致生成 继续阅读 »
2017-04-02 ruki
概述 此次更新,主要修复xmake的一些稳定性问题,并且对安装和卸载提供更加安全的权限处理,相关更新细节见:改进权限问题,提升操作安全性 并且此版本还对用户使用上的体验进行了一些优化,例如: 减少冗余检测和提示信息,提升检测效率 在非xmake工程自动生成xmake.lua时提供更加友好的提示,避免误操作 在任意工程子目录也可正常执行xmake操作,类似git 提供更加安全友好的安装和卸载提示信息 详细更新信息,可参考下面的更新细节: 新特性 #65: 为target添加set_default接口用于修改默认的构建所有targets行为 允许在工程子目录执行xmake命令进行构建,xmake会自动检测所在的工程根目录 继续阅读 »
2014-06-07 AllanChan
COCOSPODS 就是其中一个不兼容,你的更新xcode,COCOSPODS 才可以继续用pod install 具体步奏如下 打开 Xcode 6 Command + , 选择 Locations 将 Command Line Tools version 变为 Xcode 6.0 卸载 cocospods $ sudo gem uninstall cocoapods 安装 xcodeproj 继续阅读 »
2015-11-03 ALEX LIN
Mac OS 10.11 Openfire无法启动问题 安装好openfire_3_10_2.dmg后,无法通过【系统偏好设置】中的Openfire图标启动服务器。 1、JDK版本:1.8.65。经测试需要JDK 1.7版本以上。 2、Openfire版本:3.10.2 最终解决办法:在终端中执行命令 bash sudo su cd /usr/local/openfire/bin export JAVA_HOME=`/usr/libexec/java_home` sh ./openfire.sh 卸载Openfire 只需要在openfire关闭的情况下,执行以下的命令即可: bash sudo rm 继续阅读 »
2015-12-15 曹强
npm的常用命令 npm install xxx 安装模块 npm install xxx@1.1.1 安装1.1.1版本的xxx npm install xxx -g 将模块安装到全局环境中。 npm ls 查看安装的模块及依赖 npm ls -g 查看全局安装的模块及依赖 npm uninstall xxx (-g) 卸载模块 npm cache clean 清理缓存 npm help xxx 查看帮助 npm view moudleName dependencies 查看包的依赖关系 npm view moduleNames 查看node模块的package.json文件夹 继续阅读 »
2017-10-17 summer
R
环境安装问题 之前安装了解过R的安装,因为要用到分词,所以需要安装rJava和Rwordseg两个包,rJava可以安装成功,但是第二个包一直报错,问了度娘和谷歌都没能解决,最后卸载原有的R统一安装最新版的R,解决该问题。具体安装不啰嗦了,网上很多。 继续阅读 »